import { RevertableEvent } from "@skeldjs/events";
import { RoomEvent } from "../RoomEvent";
import { HqHudEvent } from "./HqHudEvent";
import { Hostable } from "../../Hostable";
import { HqHudSystem } from "../../systems";
/**
 * Emitted when the communication consoles on Mira HQ are reset, i.e. when the 10s
 * timer reaches 0.
 */
export declare class HqHudConsolesResetEvent<RoomType extends Hostable = Hostable> extends RevertableEvent implements RoomEvent, HqHudEvent {
    readonly room: RoomType;
    readonly hqhudsystem: HqHudSystem<RoomType>;
    static eventName: "hqhud.consoles.reset";
    eventName: "hqhud.consoles.reset";
    constructor(room: RoomType, hqhudsystem: HqHudSystem<RoomType>);
}
