"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.O2ConsolesClearEvent = void 0;
const events_1 = require("@skeldjs/events");
/**
 * Emitted when the complete oxygen consoles are cleared, i.e. when a player fixes o2.
 */
class O2ConsolesClearEvent extends events_1.RevertableEvent {
    constructor(room, oxygen, message, 
    /**
     * The player that cleared the consoles, i.e. the player that fixed o2.
     * Only available if the player is the host.
     */
    player) {
        super();
        this.room = room;
        this.oxygen = oxygen;
        this.message = message;
        this.player = player;
        this.eventName = "o2.consoles.clear";
    }
}
exports.O2ConsolesClearEvent = O2ConsolesClearEvent;
O2ConsolesClearEvent.eventName = "o2.consoles.clear";
//# sourceMappingURL=ConsolesClear.js.map