"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.RoomFixedUpdateEvent = void 0;
const events_1 = require("@skeldjs/events");
/**
 * Emitted when the room completes a fixed update cycle. (Roughly 20ms)
 *
 * Note that this is called very often, and if the event takes too longer, that is,
 * too long so that the next fixed update is called before it has finished, then
 * it will cascade and eventually crash due to a memory leak.
 */
class RoomFixedUpdateEvent extends events_1.CancelableEvent {
    constructor(room, 
    /**
     * The game data stream that the room will broadcast.
     */
    stream, 
    /**
     * The number of miliseconds that have passed since the last fixed update call.
     */
    delta) {
        super();
        this.room = room;
        this.stream = stream;
        this.delta = delta;
        this.eventName = "room.fixedupdate";
    }
}
exports.RoomFixedUpdateEvent = RoomFixedUpdateEvent;
RoomFixedUpdateEvent.eventName = "room.fixedupdate";
//# sourceMappingURL=FixedUpdate.js.map